%define module_name MooX-Cmd-ChainedOptions
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Import/Into.pm) perl(List/Util.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/Cmd.pm) perl(MooX/Cmd/Tester.pm) perl(MooX/Options.pm) perl(Package/Variant.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test2/Bundle/Extended.pm) perl(blib.pm) perl(lib.pm) perl(namespace/clean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: easily access options from higher up the command chain
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
For applications using the MooX::Cmd manpage and the MooX::Options manpage,
MooX::Cmd::ChainedOptions transparently provides access to command
line options from further up the command chain.

For example, if an application provides options at each level of the
command structure:

  app --app-opt cmd --cmd-opt subcmd --subcmd-opt

The subcmd object will have direct access to the `app_option' and
`cmd_option' options via object attributes:

  sub execute {
      print $self->app_opt, "\n";
      print $self->cmd_opt, "\n";
      print $self->subcmd_opt, "\n";
  }



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/M*

%changelog
* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1.1
- rebuild to restore role requires

* Wed Apr 01 2015 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

